# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="Tidal Desktop App based on nodejs/electron"
HOMEPAGE="https://github.com/Mastermindzh/tidal-hifi"
SRC_URI="https://github.com/Mastermindzh/${PN}/archive/refs/tags/${PV}.tar.gz"

LICENSE=""
SLOT="0"
KEYWORDS="~amd64"

DEPEND="net-libs/nodejs"
RDEPEND="${DEPEND}"
BDEPEND="net-libs/nodejs[npm]"

NPM_FLAGS=(
	--color false
	--verbose
	--prefix "${S}"
)

src_compile() {
	npm install "${NPM_FLAGS[@]}"
	npm run builder "${NPM_FLAGS[@]}" -- -c "build/electron-builder.unpacked.yml"
}

src_install() {
	mkdir -p "${ED}/usr/lib"
	cp -r "${S}/dist/linux-unpacked" "${ED}/usr/lib/${PN}"
	dosym "/usr/lib/${PN}/tidal-hifi" "/usr/bin/tidal-hifi"
}
